Herald
OpenapiAuth

Trigger email verification

Sends a verification email to specified email address with a confirmation link. Used to initiate email verification for pending accounts.

POST
/api/auth/{realmId}/verify_email/trigger

Sends a verification email to specified email address with a confirmation link. Used to initiate email verification for pending accounts.

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string
turnstileToken?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/string/verify_email/trigger" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
{  "message": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}